# Frequently Asked Questions

## Q: Does Datahugger support supplementary material for papers?

A: Currently, Datahugger does not support supplementary material for papers. The main challenge lies in the lack of standardization among academic journals regarding supplementary material. To our knowledge, there are no journals with proper APIs (Application Programming Interfaces) that enable seamless retrieval of supplementary materials. If you're aware of journals with such APIs or if you have specific needs within your research community, please reach out to us. Your feedback and insights can guide us in exploring potential solutions.

## Q: How can I report a bug or request a new feature for Datahugger?

A: To report bugs or request new features, please open an issue on Datahugger's GitHub repository. Providing detailed information about the issue or feature request helps us address it effectively.

## Q: Which repositories are currently supported by Datahugger?

A: Datahugger supports data retrieval from hundreds of repositories and millions of DOIs. You can find a list of supported repositories in the documentation. However, please note that not all repositories may be supported. We encourage maintainers of unsupported repositories to contribute to Datahugger.

## Q: Can I customize Datahugger to work with my institution's specific repositories?

A: Yes, you can extend Datahugger to support additional repositories by implementing a new service. Detailed guidance on creating custom services is available in the documentation, allowing you to tailor Datahugger to your institution's specific requirements.

## Q: How does Datahugger handle authentication for accessing restricted data?

A: Currently, Datahugger does not provide support for accessing restricted data.

## Q: Is Datahugger open-source, and can I contribute to its development?

A: Yes, Datahugger is an open-source project, and we welcome contributions from the community. Information on how to contribute can be found on Datahugger's GitHub repository. We appreciate all contributions, whether they involve code, documentation improvements, or bug reports.

## Q: Can Datahugger be used for commercial purposes, or is it limited to academic and research use?

A: Datahugger is released under the MIT license, making it suitable for both academic and commercial use. It serves as a valuable tool for organizations and individuals seeking to automate data retrieval and enhance the reproducibility of research and data-related workflows.
